/// <reference types="chrome" />
import { IpcEvent } from '../models/ipc-event';
import { IpcExtension } from '../models/ipc-extension';
export declare const getTabs: (extension: IpcExtension, sessionId: number) => {
    onCreated: IpcEvent;
    onUpdated: IpcEvent;
    onActivated: IpcEvent;
    onRemoved: IpcEvent;
    get: (tabId: number, callback: (tab: chrome.tabs.Tab) => void) => void;
    getCurrent: (callback: (tab: chrome.tabs.Tab) => void) => void;
    query: (queryInfo: chrome.tabs.QueryInfo, callback: (tabs: chrome.tabs.Tab[]) => void) => Promise<void>;
    create: (createProperties: chrome.tabs.CreateProperties, callback?: (tab: chrome.tabs.Tab) => void) => void;
    insertCSS: (...args: any[]) => void;
    executeScript: (...args: any[]) => void;
    setZoom: (tabId: number, zoomFactor: number, callback: () => void) => void;
    getZoom: (tabId: number, callback: (zoomFactor: number) => void) => void;
    detectLanguage: (tabId: number, callback: (language: string) => void) => void;
    sendMessage: (...args: any[]) => void;
    update: () => void;
};
