/// <reference types="chrome" />
/// <reference types="node" />
import { WebContents } from 'electron';
import { IpcExtension } from '../models/ipc-extension';
import { ExtensibleSession } from '../main';
export declare const manifestToExtensionInfo: (manifest: chrome.runtime.Manifest) => {
    startPage: string;
    srcDirectory: any;
    name: string;
    exposeExperimentalAPIs: boolean;
};
export declare const getIpcExtension: (extension: IpcExtension) => IpcExtension;
export declare const startBackgroundPage: ({ background, srcDirectory, extensionId }: chrome.runtime.Manifest, preload: string, partition: string) => Promise<{
    html: Buffer;
    fileName: string;
    webContents: WebContents;
}>;
export declare const sendToBackgroundPages: (ses: ExtensibleSession, msg: string, ...args: any[]) => void;
export declare const loadExtension: (manifest: chrome.runtime.Manifest) => Promise<IpcExtension>;
export declare const loadDevToolsExtensions: (webContents: WebContents, manifests: chrome.runtime.Manifest[]) => void;
export declare const extensionsToManifests: (extensions: {
    [key: string]: IpcExtension;
}) => chrome.runtime.Manifest[];
